ubuntu/+source/mdbtools:applied/ubuntu/trusty-devel

Last commit made on 2013-11-27
Get this branch:
git clone -b applied/ubuntu/trusty-devel https://git.launchpad.net/ubuntu/+source/mdbtools
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/trusty-devel
Repository:
lp:ubuntu/+source/mdbtools

Recent commits

f4163dc... by Rohan Garg on 2013-11-27

Import patches-applied version 0.7.1-1ubuntu1 to applied/ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 63876a42496c00fb5b78950babb8ac67ab082771
Unapplied parent: c68b791bab88c4204f245be9a6a1c73febd48e65

New changelog entries:
  * Add docbook-xml and rarian-compat to build deps since
    ubuntu buildd's are a bit more picky about the network.

c68b791... by Rohan Garg on 2013-11-27

Move gmdb help arch from rarian to gnome-doc, fix DTD compliance

Gbp-Pq: gnome-doc.

c0dd4f8... by Rohan Garg on 2013-11-27

Use licence from /usr/share/common-licenses/

Gbp-Pq: use_common_license.

5f1ed92... by Rohan Garg on 2013-11-27

Install libmdbodbc into /usr/lib/odbc/ not /usr/lib

Gbp-Pq: 01_use_lib_odbc_dir.

de83ea8... by Rohan Garg on 2013-11-27

Import patches-unapplied version 0.7.1-1ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: ab9835404f3aa3ce0396a5e042ba2c76426498e9

New changelog entries:
  * Add docbook-xml and rarian-compat to build deps since
    ubuntu buildd's are a bit more picky about the network.

63876a4... by Jean-Michel Vourgère on 2013-10-29

Import patches-applied version 0.7.1-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 9dd21f2a01a0b8e57699e868bb72301de34ab74e
Unapplied parent: c29b3ed635669d6b39895794ba262b12ed0c78d1

New changelog entries:
  * Added keywords to gmdb.desktop, thanks lintian.
  * New upstream version
    - Support for ucs2 odbc (Closes: #675543)
    - Fix mdb-array crash when file is not found (Closes: #716325)
    - drop override_dh_autoreconf in rules since upstream INSTALL is gone.
    - Refresh patch use_lib_odbc_dir. All other patches are gone, there were
      applied upstream.
    - Acknowledge new symbols in libmdb2.
    - Drop -Wall since it is now upstream.
    - Refresh copyright file.
  * ODBC driver is no longer shipped as a versioned library:
    - Rename libmdbodbc1 into odbc-mdbtools.
    - Added back transitionnal package libmdbodbc1.
    - Drop odbc-mdbtools.symbols and added -q in dpkg-gensymbols.
    - Drop version in odbc-mdbtools.postinst and odbc-mdbtools.install.
  * New patch use_common_license so that gmdb prints license from
    /usr/share/common-licenses/. This quiets lintian.
  * Stop using scrollkeeper:
    - Drop build-dependency on rarian-compat. (Closes: #718465)
    - New patch gnome-doc from upstream commit.
    - New build-dependency on gnome-doc-utils.
    - Add --disable-scrollkeeper in debian/rules.
    - Add debian/clean to remove gnome-doc tmp file.
    - Disable portability warnings in autoreconf (rules): gnome-doc generates
      pages of ugly warnings otherwise.
  * Bumped policy to 3.9.5: No change required.

ab98354... by Jean-Michel Vourgère on 2013-10-29

Import patches-unapplied version 0.7.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: a1f36db41c9449a000927b3d3671c63957eeb0ee

New changelog entries:
  * Added keywords to gmdb.desktop, thanks lintian.
  * New upstream version
    - Support for ucs2 odbc (Closes: #675543)
    - Fix mdb-array crash when file is not found (Closes: #716325)
    - drop override_dh_autoreconf in rules since upstream INSTALL is gone.
    - Refresh patch use_lib_odbc_dir. All other patches are gone, there were
      applied upstream.
    - Acknowledge new symbols in libmdb2.
    - Drop -Wall since it is now upstream.
    - Refresh copyright file.
  * ODBC driver is no longer shipped as a versioned library:
    - Rename libmdbodbc1 into odbc-mdbtools.
    - Added back transitionnal package libmdbodbc1.
    - Drop odbc-mdbtools.symbols and added -q in dpkg-gensymbols.
    - Drop version in odbc-mdbtools.postinst and odbc-mdbtools.install.
  * New patch use_common_license so that gmdb prints license from
    /usr/share/common-licenses/. This quiets lintian.
  * Stop using scrollkeeper:
    - Drop build-dependency on rarian-compat. (Closes: #718465)
    - New patch gnome-doc from upstream commit.
    - New build-dependency on gnome-doc-utils.
    - Add --disable-scrollkeeper in debian/rules.
    - Add debian/clean to remove gnome-doc tmp file.
    - Disable portability warnings in autoreconf (rules): gnome-doc generates
      pages of ugly warnings otherwise.
  * Bumped policy to 3.9.5: No change required.

c29b3ed... by Jean-Michel Vourgère on 2013-10-29

Move gmdb help arch from rarian to gnome-doc, fix DTD compliance

Gbp-Pq: gnome-doc.

9f5c2f5... by Jean-Michel Vourgère on 2013-10-29

Use licence from /usr/share/common-licenses/

Gbp-Pq: use_common_license.

1f01cab... by Jean-Michel Vourgère on 2013-10-29

Install libmdbodbc into /usr/lib/odbc/ not /usr/lib

Gbp-Pq: 01_use_lib_odbc_dir.